﻿using KTour.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace KTour.UserControls
{
    public class FestivalUCViewModel : KTour.Common.BindableBase
    {
        public IList<CodeModel> CodeList { get; set; }

        public CodeModel SelectedItem { get; set; }

        public FestivalUCViewModel()
        {
            CodeList = new List<CodeModel>();
            if (!Windows.ApplicationModel.DesignMode.DesignModeEnabled)
            {
                for (int i = 0; i < 20; i++)
                {
                    var cdate = DateTime.Now.AddMonths(i);
                    var name = cdate.ToString("yyyy.MM");
                    var value = cdate.ToString("yyyyMM01");
                    CodeList.Add(new CodeModel { Code = i.ToString(), Name = name, ValueString = value });
                }
            }
            else
            {
                CodeList.Add(new CodeModel { Code = "1", Name = "2013.02", ValueString = "20130201" });
                CodeList.Add(new CodeModel { Code = "2", Name = "2013.03", ValueString = "20130301" });
                CodeList.Add(new CodeModel { Code = "3", Name = "2013.04", ValueString = "20130401" });
                CodeList.Add(new CodeModel { Code = "4", Name = "2013.05", ValueString = "20130501" });
                CodeList.Add(new CodeModel { Code = "5", Name = "2013.06", ValueString = "20130601" });
                CodeList.Add(new CodeModel { Code = "6", Name = "2013.07", ValueString = "20130701" });
                CodeList.Add(new CodeModel { Code = "7", Name = "2013.08", ValueString = "20130801" });
                CodeList.Add(new CodeModel { Code = "8", Name = "2013.09", ValueString = "20130901" });
                CodeList.Add(new CodeModel { Code = "9", Name = "2013.10", ValueString = "20131001" });
                CodeList.Add(new CodeModel { Code = "10", Name = "2013.11", ValueString = "20131101" });
            }
        }
    }
}
