﻿using KTour.Models;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace KTour.ViewModels
{
    public class MainViewModel : Common.BindableBase
    {
        public KTour.OpenAPI.AreaService AreaS { get; set; }

        private ObservableCollection<CodeModel> areaCollection;
        public ObservableCollection<CodeModel> AreaCollection
        {
            get { return areaCollection; }
            set
            {
                areaCollection = value;
                OnPropertyChanged();
            }
        }

        private CodeModel selectedArea;

        public CodeModel SelectedArea
        {
            get { return selectedArea; }
            set
            {
                selectedArea = value;
                OnPropertyChanged();
            }
        }


        public MainViewModel()
        {
            if (Windows.ApplicationModel.DesignMode.DesignModeEnabled)
            {
                //AreaCollection = new ObservableCollection<CodeModel> 
                //    {
                //        new CodeModel{ ParentCode = "Area", Code = "1", Name = "서울", ValueInt = 1, ValueString = "Area"}
                //    };
            }
            else
            {
                //AreaS = new OpenAPI.AreaService();

                //this.PropertyChanged += 
                //    (s, e) => 
                //    {
                //        switch (e.PropertyName)
                //        {
                //            case "SelectedArea":
                //                AreaS.Send(SelectedArea.ValueInt.ToString());
                //                break;
                //        }
                //    };
            }
        }

        public async void Init()
        {
            var locator = App.Current.Resources["Locator"] as ViewModelLocator;
            await locator.DatabaseVM.Initialise();
            var rows = locator.DatabaseVM.CodeMST.Where(p => p.ParentCode == "Area").OrderBy(p => p.Name);
            //AreaCollection = new ObservableCollection<CodeModel>(rows);
        }
    }
}
