﻿using KTour.Models;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace KTour.ViewModels
{
    /// <summary>
    /// 범용 뷰 모델
    /// </summary>
    public class PublicViewModel : Common.BindableBase
    {
        /// <summary>
        /// 지역 컬렉션
        /// </summary>
        public ObservableCollection<CodeModel> AreaCollection { get; set; }

        /// <summary>
        /// 관광정보 타입 코드표 컬렉션
        /// </summary>
        public ObservableCollection<CodeModel> ContentTypeCollection { get; set; }

        public PublicViewModel()
        {
            AreaCollection = new ObservableCollection<CodeModel> 
                {
                    new CodeModel{ Code="1", Name = "서울", ValueInt = 1},
                    new CodeModel{ Code="2", Name = "인천", ValueInt = 2},
                    new CodeModel{ Code="3", Name = "대전", ValueInt = 3},
                    new CodeModel{ Code="4", Name = "대구", ValueInt = 4},
                    new CodeModel{ Code="5", Name = "광주", ValueInt = 5},
                    new CodeModel{ Code="6", Name = "부산", ValueInt = 6},
                    new CodeModel{ Code="7", Name = "울산", ValueInt = 7},
                    new CodeModel{ Code="8", Name = "세종특별자치시", ValueInt = 8},
                    new CodeModel{ Code="9", Name = "경기도", ValueInt = 9},
                    new CodeModel{ Code="10", Name = "강원도", ValueInt = 10},
                    new CodeModel{ Code="11", Name = "충청북도", ValueInt = 11},
                    new CodeModel{ Code="12", Name = "충청남도", ValueInt = 12},
                    new CodeModel{ Code="13", Name = "경상북도", ValueInt = 13},
                    new CodeModel{ Code="14", Name = "경상남도", ValueInt = 14},
                    new CodeModel{ Code="15", Name = "전라북도", ValueInt = 15},
                    new CodeModel{ Code="16", Name = "전라남도", ValueInt = 16},
                    new CodeModel{ Code="17", Name = "제주도", ValueInt = 17},
                };

            ContentTypeCollection = new ObservableCollection<CodeModel> 
                {
                    new CodeModel{ Code="12", Name = "관광지", ValueString = "국문"},
                    new CodeModel{ Code="14", Name = "문화시설", ValueString = "국문"},
                    new CodeModel{ Code="15", Name = "행사/공연/축제", ValueString = "국문"},
                    new CodeModel{ Code="25", Name = "여행코스", ValueString = "국문"},
                    new CodeModel{ Code="28", Name = "레포츠", ValueString = "국문"},
                    new CodeModel{ Code="32", Name = "숙박", ValueString = "국문"},
                    new CodeModel{ Code="38", Name = "쇼핑", ValueString = "국문"},
                    new CodeModel{ Code="39", Name = "음식점", ValueString = "국문"},
                    new CodeModel{ Code="40", Name = "교통시설", ValueString = "국문"},
                };
        }
    }
}
